Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class InferenceContextDispatcher

    java.lang.Object
      com.hammurapi.reasoning.impl.InferenceContextDispatcher

All Implemented Interfaces:
  InferenceContext

    public class InferenceContextDispatcher

extends Object
implements InferenceContext

Delegates calls to thread local

Author:
  Pavel Vlasov

Field Summary

Fields inherited from interface com.hammurapi.reasoning.spi.InferenceContext
`INSTANCE`

Constructor Summary
`InferenceContextDispatcher()`

Method Summary
`void` | `addUndo(Runnable undoCommand)`
`boolean` | `consumeInput(int position, boolean local)`
`boolean` | `contains(Object fact)`
`Collection<?>` | `getObjects()`
`Map<String,?>` | `getProperties()`
`int[]` | `parameterIndices()`
`void` | `post(Object... conclusions)`
`void` | `put(Object fact)`
`void` | `remove(Object fact)`
`Method` | `targetMethod()`
`void` | `update(Object fact)`
`void` | `update(Object originalFact, Object newFact)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InferenceContextDispatcher

    public InferenceContextDispatcher()

Method Detail

### addUndo

    public void addUndo(Runnable undoCommand)

  Specified by:
    `addUndo` in interface `InferenceContext`

### consumeInput

    public boolean consumeInput(int position,
                                boolean local)

  Specified by:
    `consumeInput` in interface `InferenceContext`

### contains

    public boolean contains(Object fact)
                     throws ReasoningException

  Specified by:
    `contains` in interface `InferenceContext`
  Throws:
    `ReasoningException`

### getObjects

    public Collection<?> getObjects()
                             throws ReasoningException

  Specified by:
    `getObjects` in interface `InferenceContext`
  Throws:
    `ReasoningException`

### getProperties

    public Map<String,?> getProperties()
                                throws ReasoningException

  Specified by:
    `getProperties` in interface `InferenceContext`
  Throws:
    `ReasoningException`

### parameterIndices

    public int[] parameterIndices()

  Specified by:
    `parameterIndices` in interface `InferenceContext`

### post

    public void post(Object... conclusions)

  Specified by:
    `post` in interface `InferenceContext`

### remove

    public void remove(Object fact)
                throws ReasoningException

  Specified by:
    `remove` in interface `InferenceContext`
  Throws:
    `ReasoningException`

### targetMethod

    public Method targetMethod()

  Specified by:
    `targetMethod` in interface `InferenceContext`

### put

    public void put(Object fact)
             throws ReasoningException

  Specified by:
    `put` in interface `InferenceContext`
  Throws:
    `ReasoningException`

### update

    public void update(Object fact)
                throws ReasoningException

  Specified by:
    `update` in interface `InferenceContext`
  Throws:
    `ReasoningException`

### update

    public void update(Object originalFact,
                       Object newFact)
                throws ReasoningException

  Specified by:
    `update` in interface `InferenceContext`
  Throws:
    `ReasoningException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD